import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useMemo } from 'react';
import { useTranslation } from 'react-i18next';
import { Field, LabelledTextInput, Form, ComponentList, } from '../../components';
export const TemplateForm = ({ path }) => {
    const { t } = useTranslation();
    const namePath = useMemo(() => path.concat('name'), [path]);
    return (_jsxs(Form, { children: [_jsx(Field, { path: namePath, component: LabelledTextInput, label: t('inspector.templateForm.field.name.label') }), _jsx(ComponentList, {})] }));
};
